@use '../../../../styles/mixins';
@use '../../../../styles/base';

$spacing: 18px;
$mobile-spacing: 24px;

.modal-mask {
    @include mixins.center-div;

    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    height: 100%;
    z-index: 1000;
    position: fixed;
    background-color: #00000073;

    .modal-dialog {
        border: 0;
        width: 40%;
        display: flex;
        position: relative;
        pointer-events: auto;
        flex-direction: column;
        background-color: #fff;
        background-clip: padding-box;
        border-radius: base.$border-radius;
        box-shadow: 0 3px 6px -4px #0000001f, 0 6px 16px #00000014,
            0 9px 28px 8px #0000000d;
        -moz-box-shadow: 0 3px 6px -4px #0000001f, 0 6px 16px #00000014,
            0 9px 28px 8px #0000000d;
        -webkit-box-shadow: 0 3px 6px -4px #0000001f, 0 6px 16px #00000014,
            0 9px 28px 8px #0000000d;

        @media (max-width: base.$mobile-device) {
            width: 80%;
        }

        .modal-header {
            width: 100%;
            display: flex;
            align-items: center;
            background: #0000000d;
            padding: 14px $spacing;
            justify-content: space-between;

            @media (max-width: base.$mobile-device) {
                padding: $mobile-spacing $mobile-spacing;
            }

            .title {
                font-size: 1.2em;
                font-weight: 600;

                @media (max-width: base.$mobile-device) {
                    font-size: 1em;
                }
            }

            .close-button {
                width: 24px;
                height: 24px;
                cursor: pointer;
                background-size: 24px;
                color: base.$font-color;
                background-image: url("../assets/close.png");

                @media (max-width: base.$mobile-device) {
                    width: 38px;
                    height: 38px;
                    background-size: 38px;
                }
            }
        }

        .modal-content {
            padding: 0px $spacing;

            @media (max-width: base.$mobile-device) {
                padding: 0px $mobile-spacing;
            }
        }

        .modal-footer {
            width: 100%;
            display: flex;
            padding: $spacing $spacing;
            align-items: center;
            justify-content: flex-end;

            @media (max-width: base.$mobile-device) {
                padding: $mobile-spacing $mobile-spacing;
            }

            .modal-primary-button {
                margin-left: $spacing;

                @media (max-width: base.$mobile-device) {
                    margin-left: $mobile-spacing;
                }
            }
        }
    }
}
